
class Debris
{
  public:
    Debris(GLdouble X,GLdouble Y,GLdouble Z,Debris *n,Debris *p);
    ~Debris();
    Debris *next,*prev;
    GLdouble x, y, z;
    void draw();

  private:
    void move();
    GLfloat xvel,yvel,zvel,gravity;
    GLfloat height,width;
    GLdouble orientation[16];
    GLdouble rotation[16];
};

void Destroy(Debris **first,Debris *target);
void DebrisCleaner(Debris **first);
void DrawDebris(Debris *first);
void CreateDebris(Debris **first,GLdouble X,GLdouble Y, GLdouble Z);
