#include <GL/gl.h>
#include <GL/glu.h>
#include "../include/player.h"

Player::Player()
{
    x = 0;
    y = -30;
    z = 0;
    demielongueur = 5;
}

void Player::checkPosition()
{
    if (x + demielongueur >= 40)
        x = 40-demielongueur;
    else if (x - demielongueur <= -40)
        x = demielongueur -40;
}
void Player::moveevent(char direction)
{
    switch (direction)
    {
    case 'l':
        x -= 1;
        break;
    case 'r':
        x += 1;
        break;
    }
    checkPosition();
}

void Player::draw()
{
    glPushMatrix();
    glTranslated(x, y, 0);
    glColor3ub(0, 255, 10);
    glBegin(GL_QUADS);

    glNormal3i(0,1,0);
    glVertex3d(demielongueur, 0.5, 0.5);
    glVertex3d(demielongueur, 0.5, -0.5);
    glVertex3d(-demielongueur, 0.5, -0.5);
    glVertex3d(-demielongueur, 0.5, 0.5);

    glNormal3i(0,0,1);
    glVertex3d(demielongueur, 0.5, 0.5);
    glVertex3d(-demielongueur, 0.5, 0.5);
    glVertex3d(-demielongueur, -0.5, 0.5);
    glVertex3d(demielongueur, -0.5, 0.5);

    glNormal3i(1,0,0);
    glVertex3d(demielongueur, 0.5, 0.5);
    glVertex3d(demielongueur, -0.5, 0.5);
    glVertex3d(demielongueur, -0.5, -0.5);
    glVertex3d(demielongueur, 0.5, -0.5);

    glNormal3i(0,0,-1);
    glVertex3d(demielongueur, 0.5, -0.5);
    glVertex3d(-demielongueur, 0.5, -0.5);
    glVertex3d(-demielongueur, -0.5, -0.5);
    glVertex3d(demielongueur, -0.5, -0.5);

    glNormal3i(-1,0,0);
    glVertex3d(-demielongueur, 0.5, -0.5);
    glVertex3d(-demielongueur, 0.5, 0.5);
    glVertex3d(-demielongueur, -0.5, 0.5);
    glVertex3d(-demielongueur, -0.5, -0.5);

    glNormal3i(0,-1,0);
    glVertex3d(demielongueur, -0.5, 0.5);
    glVertex3d(demielongueur, -0.5, -0.5);
    glVertex3d(-demielongueur, -0.5, -0.5);
    glVertex3d(-demielongueur, -0.5, 0.5);
    glEnd();
    glPopMatrix();
}
